#  Config file for libyui-mga
#  It defines the following variables
#  LIBYUI-MGA_INCLUDE_DIRS - include directories for libyui-mga
#  LIBYUI-MGA_LIBRARIES    - libraries to link against
#  LIBYUI-MGA_PREFIX       - prefix where libyui-mga is installed
#  LIBYUI-MGA_SONAME       - soname of libyui-mga
#  LIBYUI-MGA_SONAME_MAJOR - soname of libyui-mga
#  LIBYUI-MGA_SONAME_MINOR - soname of libyui-mga
#  LIBYUI-MGA_SONAME_PATCH - soname of libyui-mga

# Export the SONAME for use by plugins
SET( LIBYUI-MGA_SONAME "8.0.0" )
SET( LIBYUI-MGA_SONAME_MAJOR "8" )
SET( LIBYUI-MGA_SONAME_MINOR "0" )
SET( LIBYUI-MGA_SONAME_PATCH "0" )

# Compute paths
SET( LIBYUI-MGA_PREFIX "/usr" )
GET_FILENAME_COMPONENT( LIBYUI-MGA_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
IF( EXISTS "${LIBYUI-MGA_CMAKE_DIR}/CMakeCache.txt" )
   # In build tree
   INCLUDE( "${LIBYUI-MGA_CMAKE_DIR}/Libyui-mgaBuildTreeSettings.cmake" )
ELSE()
   SET( LIBYUI-MGA_INCLUDE_DIRS /usr/include/yui/mga /usr/include/yui/mga/.. )
ENDIF()

# Our library dependencies (contains definitions for IMPORTED targets)
INCLUDE( "${LIBYUI-MGA_CMAKE_DIR}/Libyui-mgaLibraryDepends.cmake" )

# These are IMPORTED targets created by Libyui-mgaLibraryDepends.cmake
SET( LIBYUI-MGA_LIBRARIES yui-mga )

MESSAGE( STATUS "Found Libyui-mga: ${IMPORTED_LOCATION_RELEASE} (Version: 1.0.7)" )
